/*
 * Click nbfs://nbhost/SystemFileSystem/Templates/Licenses/license-default.txt to change this license
 */

package com.jcg.ispresentoptionalexample;

import java.util.Optional;

/**
 *
 * @author omozegieaziegbe
 */
public class IsPresentOptionalExample {

    public static void main(String[] args) {
        Optional<String> firstName = Optional.of("Alice");
        Optional<String> lastName = Optional.of("Doe");
        Optional<String> email = Optional.of("alice.doe@jcg.com");

        if (firstName.isPresent() && lastName.isPresent() && email.isPresent()) {
            String userProfile = createUserProfile(firstName.get(), lastName.get(), email.get());
            System.out.println(userProfile);
        } else {
            System.out.println("One or more required fields are missing");
        }
    }

    private static String createUserProfile(String firstName, String lastName, String email) {
        return "User Profile: " + firstName + " " + lastName + ", Email: " + email;
    }
}